'''
create Mar 18,2021 by Daniel
|------------------------------------------
| Nov 26, 2024 | add a speed for each batch count
|--------------------------------------------------
'''
import tkinter as TK
import tkinter.font as Font


class batchInf():
    """
        create a batch inf class
        member: batchNo: 0 for totalize count; 1 for first batch
        member: packet: packet number
        member: no_perpackage: kernel per packet
        member: speed
        all data type are integer
    """
    def __init__(self,batch_no=0):
        self.batchNo=batch_no
        self.no_perbatch=[]
        self.packet=[]
        self.speed =[]
        
    def __del__(self):
        self.removeData()
        
    def batch_noSet(self,val):
        self.batchNo=val

    def batch_noGet(self):
        return self.batchNo

    def no_perbatchSet(self,val):
        self.no_perbatch.append(val)
        
    def no_perbatchGet(self):
        return  self.no_perbatch

    def no_perpacketSet(self,val):
        self.packet.append(val)
    def no_perpacketGet(self):
        return self.packet
    def speed_set(self,val):
        self.speed.append(val)
    def speed_get(self):
        return self.speed
    
    def setData(self,tt):
        self.batch_noSet(tt[0])
        self.no_perbatchSet(tt[1])
        self.no_perpacketSet(tt[2])
        self.speed_set(tt[3])

    def removeData(self):   
        del self.no_perbatch[:]
        del self.packet[:]
        del self.speed[:]
        self.batchNo=0
      



